/* -*- mode: c++; c-basic-offset: 3; -*- */
#include "html/button.hh"
#include "html/text.hh"

using namespace html;
using namespace std;

//======================================  html::button constructor
button::button(const std::string& txt, const std::string& type,
	       const std::string& class_name) {
  if (!type.empty())       addAttr("type", type);
  if (!class_name.empty()) addAttr("class", class_name);
  if (!txt.empty())        addObject(text(txt));
}

//======================================  html::button constructor
button::~button(void) {
}

//======================================  html::button constructor
button*
button::clone(void) const {
  return new button(*this);
}

